RDKit::MolDraw2D_detail Namespace Reference

## Functions

RDKIT_MOLDRAW2D_EXPORT void | arcPoints (const Point2D &cds1, const Point2D &cds2, std::vector< Point2D > &res, float startAng=0, float extent=360)
RDKIT_MOLDRAW2D_EXPORT void | addStereoAnnotation (const ROMol &mol, bool includeRelativeCIP=false)
| add R/S, relative stereo, and E/Z annotations to atoms and bonds More...
RDKIT_MOLDRAW2D_EXPORT void | addAtomIndices (const ROMol &mol)
| add annotations with atom indices. More...
RDKIT_MOLDRAW2D_EXPORT void | addBondIndices (const ROMol &mol)
| add annotations with bond indices. More...
RDKIT_MOLDRAW2D_EXPORT std::vector< Point2D > | getBracketPoints (const Point2D &p1, const Point2D &p2, const Point2D &refPt, const std::vector< std::pair< Point2D, Point2D >> &bondSegments, double bracketFrac=0.1)
RDKIT_MOLDRAW2D_EXPORT void | drawShapes (MolDraw2D &drawer, const std::vector< MolDrawShape > &shapes)
RDKIT_MOLDRAW2D_EXPORT std::vector< Point2D > | handdrawnLine (Point2D cds1, Point2D cds2, double scale, bool shiftBegin=false, bool shiftEnd=false, unsigned nSteps=4, double deviation=0.03, double endShift=0.5)
std::string | formatDouble (double val)

## Variables

const int | char_widths []

## Function Documentation

## addAtomIndices()

RDKIT_MOLDRAW2D_EXPORT void RDKit::MolDraw2D_detail::addAtomIndices | ( | const ROMol & | mol | ) |

inline

add annotations with atom indices.

Definition at line 62 of file MolDraw2DDetails.h.

References RDKit::common_properties::atomNote, RDKit::ROMol::atoms(), RDKit::RDProps::hasProp(), RDKit::RDProps::setProp(), and RDKit::CIPLabeler::to_string().

## addBondIndices()

RDKIT_MOLDRAW2D_EXPORT void RDKit::MolDraw2D_detail::addBondIndices | ( | const ROMol & | mol | ) |

inline

add annotations with bond indices.

Definition at line 78 of file MolDraw2DDetails.h.

References RDKit::common_properties::bondNote, RDKit::ROMol::bonds(), RDKit::RDProps::hasProp(), RDKit::RDProps::setProp(), and RDKit::CIPLabeler::to_string().

## addStereoAnnotation()

RDKIT_MOLDRAW2D_EXPORT void RDKit::MolDraw2D_detail::addStereoAnnotation | ( | const ROMol & | mol,
|  | bool | includeRelativeCIP = `false`
| ) |  |

add R/S, relative stereo, and E/Z annotations to atoms and bonds

## arcPoints()

RDKIT_MOLDRAW2D_EXPORT void RDKit::MolDraw2D_detail::arcPoints | ( | const Point2D & | cds1,
|  | const Point2D & | cds2,
|  | std::vector< Point2D > & | res,
|  | float | startAng = `0`,
|  | float | extent = `360`
| ) |  |

## drawShapes()

RDKIT_MOLDRAW2D_EXPORT void RDKit::MolDraw2D_detail::drawShapes | ( | MolDraw2D & | drawer,
|  | const std::vector< MolDrawShape > & | shapes
| ) |  |

## formatDouble()

std::string RDKit::MolDraw2D_detail::formatDouble | ( | double | val | ) |

inline

Definition at line 106 of file MolDraw2DDetails.h.

## getBracketPoints()

RDKIT_MOLDRAW2D_EXPORT std::vector<Point2D> RDKit::MolDraw2D_detail::getBracketPoints | ( | const Point2D & | p1,
|  | const Point2D & | p2,
|  | const Point2D & | refPt,
|  | const std::vector< std::pair< Point2D, Point2D >> & | bondSegments,
|  | double | bracketFrac = `0.1`
| ) |  |

## handdrawnLine()

RDKIT_MOLDRAW2D_EXPORT std::vector<Point2D> RDKit::MolDraw2D_detail::handdrawnLine | ( | Point2D | cds1,
|  | Point2D | cds2,
|  | double | scale,
|  | bool | shiftBegin = `false`,
|  | bool | shiftEnd = `false`,
|  | unsigned | nSteps = `4`,
|  | double | deviation = `0.03`,
|  | double | endShift = `0.5`
| ) |  |

## Variable Documentation

## char_widths

const int RDKit::MolDraw2D_detail::char_widths[]

Initial value:
= {
0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
0, 0, 0, 0, 278, 278, 355, 556, 556, 889, 667, 222, 333, 333,
389, 584, 278, 333, 278, 278, 556, 556, 556, 556, 556, 556, 556, 556,
556, 556, 278, 278, 584, 584, 584, 556, 1015, 667, 667, 722, 722, 667,
611, 778, 722, 278, 500, 667, 556, 833, 722, 778, 667, 778, 722, 667,
611, 722, 667, 944, 667, 667, 611, 278, 278, 278, 469, 556, 222, 556,
556, 500, 556, 556, 278, 556, 556, 222, 222, 500, 222, 833, 556, 556,
556, 556, 333, 500, 278, 556, 500, 722, 500, 500, 500, 334, 260, 334,
584, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
0, 0, 0, 0, 0, 0, 0, 333, 556, 556, 167, 556, 556, 556,
556, 191, 333, 556, 333, 333, 500, 500, 0, 556, 556, 556, 278, 0,
537, 350, 222, 333, 333, 556, 1000, 1000, 0, 611, 0, 333, 333, 333,
333, 333, 333, 333, 333, 0, 333, 333, 0, 333, 333, 333, 1000, 0,
0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0, 0,
0, 1000, 0, 370, 0, 0, 0, 0, 556, 778, 1000, 365, 0, 0,
0, 0, 0, 889, 0, 0, 0, 278, 0, 0, 222, 611, 944, 611,
0, 0, 834}

Definition at line 31 of file MolDraw2DDetails.h.